com.google.gwt.event.shared

## Class GwtEvent.Type<H>

- java.lang.Object
- - com.google.web.bindery.event.shared.Event.Type<H>
  - - com.google.gwt.event.shared.GwtEvent.Type<H>

Type Parameters:
  `H` - handler type

Direct Known Subclasses:
  DomEvent.Type

Enclosing class:
  GwtEvent<H extends EventHandler>

    public static class GwtEvent.Type<H>
    extends Event.Type<H>

Type class used to register events with the `HandlerManager`.

Type is parameterized by the handler type in order to make the addHandler method type safe.

### Constructor Summary

Constructors
Constructor and Description
`Type()`

### Method Summary

### Methods inherited from class com.google.web.bindery.event.shared.Event.Type

`hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Type

    public Type()